<?xml version="1.0" encoding="utf-8"?>
<databaseChangeLog
    xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
    xmlns:ext="http://www.liquibase.org/xml/ns/dbchangelog-ext"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-3.5.xsd
                        http://www.liquibase.org/xml/ns/dbchangelog-ext http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-ext.xsd">

    <property name="now" value="now()" dbms="h2"/>

    <property name="now" value="now()" dbms="mysql"/>
    <property name="autoIncrement" value="true"/>

    <property name="floatType" value="float4" dbms="postgresql, h2"/>
    <property name="floatType" value="float" dbms="mysql, oracle, mssql"/>

    <!--
        Added the entity InventoryItem.
    -->
    <changeSet id="20170101000000-1" author="jhipster">
        <createTable tableName="inventory_item">
            <column name="idinvite" type="UUID">
                <constraints primaryKey="true" nullable="false"/>
            </column>
            
            <column name="dtcreated" type="timestamp">
                <constraints nullable="true" />
            </column>

            <column name="qty" type="integer">
                <constraints nullable="true" />
            </column>

            <column name="qtybooking" type="integer">
                <constraints nullable="true" />
            </column>

            <column name="idproduct" type="varchar(100)">
                <constraints nullable="true" />
            </column>

            <column name="idreceipt" type="UUID">
                <constraints nullable="true" />
            </column>

            <column name="idfacility" type="UUID">
                <constraints nullable="true" />
            </column>

            <column name="idcontainer" type="UUID">
                <constraints nullable="true" />
            </column>

            <column name="idowner" type="UUID">
                <constraints nullable="true" />
            </column>

            <!-- jhipster-needle-liquibase-add-column - JHipster will add columns here, do not remove-->
        </createTable>

        <dropDefaultValue tableName="inventory_item" columnName="dtcreated" columnDataType="datetime"/>
        
        <createTable tableName="inventory_item_status">
            
            <column name="idstatus" type="UUID"> 
                <constraints primaryKey="true" nullable="false"/>
            </column>

            <column name="idinvite" type="UUID">
                <constraints nullable="true" />
            </column>

            <column name="idstatustype" type="Integer">
                <constraints nullable="true" />
            </column>

            <column name="dtthru" type="timestamp">
                <constraints nullable="true" />
            </column>

            <column name="dtfrom" type="timestamp">
                <constraints nullable="true" />
            </column>

        </createTable>

        <addForeignKeyConstraint baseColumnNames="idinvite"
                                 baseTableName="inventory_item_status"
                                 constraintName="fk_inventory_item_from_status"
                                 referencedColumnNames="idinvite"
                                 referencedTableName="inventory_item"/>        
        
    </changeSet>
</databaseChangeLog>
